Subject: Re: [PATCH -next] cx231xx: fix SND dependency build error

From: Mauro Carvalho Chehab <[email-masked]>
Date: Mon, 20 Apr 2009 16:44:49 -0300

On Tue, 07 Apr 2009 08:59:29 -0700
Randy Dunlap <[email-masked]> wrote:

> From: Randy Dunlap <[email-masked]>
> 
> Don't select VIDEO_CX231XX_ALSA when SND is not enabled since selecting it
> won't cause SND to be enabled.

Sorry for being late with this issue. I was fixing some upstream scripts, and
we had a few holydays.

The better is just to trop the select for -alsa module. I have already a fix on
my tree. I'll push it later today to my linux-next git repository.
> 
> ERROR: "snd_pcm_period_elapsed" [drivers/media/video/cx231xx/cx231xx-alsa.ko] undefined!
> ERROR: "snd_card_create" [drivers/media/video/cx231xx/cx231xx-alsa.ko] undefined!
> ERROR: "snd_pcm_hw_constraint_integer" [drivers/media/video/cx231xx/cx231xx-alsa.ko] undefined!
> ERROR: "snd_pcm_set_ops" [drivers/media/video/cx231xx/cx231xx-alsa.ko] undefined!
> ERROR: "snd_pcm_lib_ioctl" [drivers/media/video/cx231xx/cx231xx-alsa.ko] undefined!
> ERROR: "snd_card_free" [drivers/media/video/cx231xx/cx231xx-alsa.ko] undefined!
> ERROR: "snd_card_register" [drivers/media/video/cx231xx/cx231xx-alsa.ko] undefined!
> ERROR: "snd_pcm_new" [drivers/media/video/cx231xx/cx231xx-alsa.ko] undefined!
> 
> Signed-off-by: Randy Dunlap <[email-masked]>
> ---
>  drivers/media/video/cx231xx/Kconfig |    2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> --- linux-next-20090407.orig/drivers/media/video/cx231xx/Kconfig
> +++ linux-next-20090407/drivers/media/video/cx231xx/Kconfig
> @@ -6,7 +6,7 @@ config VIDEO_CX231XX
>         select VIDEO_IR
>         select VIDEOBUF_VMALLOC
>         select VIDEO_CX25840
> -       select VIDEO_CX231XX_ALSA
> +       select VIDEO_CX231XX_ALSA if SND
>  
>  	---help---
>  	  This is a video4linux driver for Conexant 231xx USB based TV cards.
> --
> To unsubscribe from this list: send the line "unsubscribe linux-media" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

Cheers,
Mauro